Bug 44996 - WebInspector: [chromium] new protocol related Inspector's layout tests are failing
Summary: WebInspector: [chromium] new protocol related Inspector's layout tests are fa...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Ilya Tikhonovsky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-31 15:08 PDT by Tony Chang
Modified: 2010-09-02 12:56 PDT (History)
10 users (show)

See Also:


Attachments
[patch] initial version. (5.02 KB, patch)
2010-09-01 09:47 PDT, Ilya Tikhonovsky
yurys: review-
yurys: commit-queue-
Details | Formatted Diff | Diff
[patch] second iteration (5.02 KB, patch)
2010-09-01 10:28 PDT, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff
[patch] second iteration. With the new patch. (4.00 KB, patch)
2010-09-01 10:29 PDT, Ilya Tikhonovsky
yurys: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Chang 2010-08-31 15:08:27 PDT
inspector/report-protocol-errors.html and report-API-errors.html, added in http://trac.webkit.org/changeset/66523 and http://trac.webkit.org/changeset/66516 are failing on chromium-win.

Adding to test_expectations.txt for now.  I'm not sure if they're correct or not.

Here are the diffs from the bot:
http://build.chromium.org/buildbot/layout_test_results/webkit-rel-webkit-org/results/layout-test-results/inspector/report-API-errors-wdiff.html
http://build.chromium.org/buildbot/layout_test_results/webkit-rel-webkit-org/results/layout-test-results/inspector/report-protocol-errors-wdiff.html
Comment 1 Ilya Tikhonovsky 2010-09-01 09:47:58 PDT
Created attachment 66223 [details]
[patch] initial version.
Comment 2 Yury Semikhatsky 2010-09-01 10:15:22 PDT
Comment on attachment 66223 [details]
[patch] initial version.

View in context: https://bugs.webkit.org/attachment.cgi?id=66223&action=prettypatch

> LayoutTests/http/tests/inspector/inspector-test2.js:148
> +InspectorTest._addSniffer = function(receiver, methodName, override, opt_sticky, opt_replace)
Just overwrite original function instead of calling addSniffer_
Comment 3 Ilya Tikhonovsky 2010-09-01 10:28:12 PDT
Created attachment 66230 [details]
[patch] second iteration

comment addressed.
Comment 4 Ilya Tikhonovsky 2010-09-01 10:29:44 PDT
Created attachment 66231 [details]
[patch] second iteration. With the new patch.
Comment 5 Yury Semikhatsky 2010-09-01 10:45:17 PDT
Comment on attachment 66231 [details]
[patch] second iteration. With the new patch.

View in context: https://bugs.webkit.org/attachment.cgi?id=66231&action=prettypatch

> LayoutTests/inspector/report-protocol-errors.html:39
> +    InspectorBackend.disableDebugger(true, fire);
I'd rather use another agent which is not always enabled in Chromium.
Comment 6 Ilya Tikhonovsky 2010-09-02 01:21:50 PDT
(In reply to comment #5)
> (From update of attachment 66231 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=66231&action=prettypatch
> 
> > LayoutTests/inspector/report-protocol-errors.html:39
> > +    InspectorBackend.disableDebugger(true, fire);
> I'd rather use another agent which is not always enabled in Chromium.

it is the only agent which clean its pointer from InspectorController.
Comment 7 WebKit Commit Bot 2010-09-02 02:28:34 PDT
Comment on attachment 66231 [details]
[patch] second iteration. With the new patch.

Rejecting patch 66231 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Yury Semikhatsky', u'--force']" exit_code: 1
Parsed 4 diffs from patch file(s).
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/inspector/report-API-errors.html
patching file LayoutTests/inspector/report-protocol-errors.html
patching file LayoutTests/platform/chromium/test_expectations.txt
Hunk #2 FAILED at 3147.
1 out of 2 hunks FAILED -- saving rejects to file LayoutTests/platform/chromium/test_expectations.txt.rej

Full output: http://queues.webkit.org/results/3910045
Comment 8 Ilya Tikhonovsky 2010-09-02 05:09:49 PDT
Committed r66663
	M	LayoutTests/platform/chromium/test_expectations.txt
	M	LayoutTests/inspector/report-API-errors.html
	M	LayoutTests/inspector/report-protocol-errors.html
	M	LayoutTests/ChangeLog
r66663 = ce6270ca6c31866b56857621c7900634e441d1b9 (refs/remotes/trunk)
Comment 9 WebKit Review Bot 2010-09-02 12:56:02 PDT
http://trac.webkit.org/changeset/66663 might have broken Leopard Intel Debug (Tests)